Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002974Zandronum[All Projects] Bugpublic2017-01-06 16:132017-02-06 20:14
ReporterFilystea 
Assigned ToTorr Samaho 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0002974: Puffs do not show up in multipalyer game. ( even if put in sprites not in S_START S_END )
Descriptionproblem was stated here:

http://zandronum.com/tracker/view.php?id=2940 [^]


Upgraded the test file as mentioned here:

" You put the sprites within S_START and S_END in a PK3 file when you're supposed to put them into sprites/. The wad works fine when I fixed the zip structure. "
Steps To ReproduceRun server with test file.
Join game as client.
Shoot a wall. Nothing appears.

Try running as single player. All works sprites show up.
Additional InformationLinux zandronum 4.8.0-2-amd64 #1 SMP Debian 4.8.11-1 (2016-12-02) x86_64 GNU/Linux


It breaks on multiplayer:
ZandroDev3.0-161030-2038linux-x86_64

Multiplayer works on older version:
3.0-alpha-r160519-2047
Attached Files? file icon test.pk3 [^] (738,225 bytes) 2017-01-06 16:15

- Relationships
related to 0002940closed Puffs on wall. 

-  Notes
User avatar (0016754)
Torr Samaho (administrator)
2017-02-05 14:19
edited on: 2017-02-05 15:35

I can confirm that something seems to be wrong here. Needs further investigation.

EDIT: The behavior changed in c98f0f1e63641d9eb37935b914c73a9516ae1dfe.

User avatar (0016756)
Torr Samaho (administrator)
2017-02-05 16:06

While the changeset above changed the perceived behavior, (part of) the underlying problem actually stems from an ancient band aid I added for a client crash that happened when exiting from tnt03a1 to tnt03a2. Looks like we'll have to remove that band aid and check if tutnt still needs an extra fix.
User avatar (0016759)
Torr Samaho (administrator)
2017-02-05 21:35

Should be fixed in the new beta that we just released.
User avatar (0016777)
Filystea (reporter)
2017-02-06 13:07
edited on: 2017-02-06 13:21

Checked with my mod (this code is anyway riped from it).

It works fine now. Thank you for fixing this.

[checked newest version ZandroDev3.0-170205-2117linux-x86_64 on linux debian sid]


Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-01-06 16:13 Filystea New Issue
2017-01-06 16:15 Filystea File Added: test.pk3
2017-02-05 14:19 Torr Samaho Note Added: 0016754
2017-02-05 14:19 Torr Samaho Status new => acknowledged
2017-02-05 15:01 Torr Samaho Relationship added related to 0002940
2017-02-05 15:35 Torr Samaho Note Edited: 0016754 View Revisions
2017-02-05 16:02 Torr Samaho Assigned To => Torr Samaho
2017-02-05 16:02 Torr Samaho Status acknowledged => assigned
2017-02-05 16:06 Torr Samaho Note Added: 0016756
2017-02-05 21:35 Torr Samaho Note Added: 0016759
2017-02-05 21:36 Torr Samaho Status assigned => needs testing
2017-02-05 21:36 Torr Samaho Product Version => 3.0-beta
2017-02-05 21:36 Torr Samaho Target Version => 3.0
2017-02-06 13:07 Filystea Note Added: 0016777
2017-02-06 13:17 Filystea Note Edited: 0016777 View Revisions
2017-02-06 13:21 Filystea Note Edited: 0016777 View Revisions
2017-02-06 20:14 Ru5tK1ng Status needs testing => resolved
2017-02-06 20:14 Ru5tK1ng Resolution open => fixed
2017-02-06 20:14 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker